<a name="menu">目录</a>
1. [经营范围列表](#list)
1. [经营范围查询](#info)
1. [经营范围添加/修改](#save)
1. [经营范围删除](#del)
1. [按注册地查询](#byDomicile)


## **<a name="list"> 经营范围列表</a>**
[返回到目录](#menu)
##### URL
[/web/common/businessscopeCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "3",
        "domicileId": ""            // 注册地id
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 10,
            "rows": [
                {
                    "id": "12218127593000590",                          // 经营范围id
                    "domicile_id": "12706646858000580",                 // 注册地id
                    "businessType": "经营范围3",                         // 经营范围
                    "businessscope": "经营范围详情",                      // 经营范围详情
                    "isEnabled": 0,                                     // 是否启用 0否 1是
                    "created_at": "2019-10-03 06:51:01",                // 创建时间

                    "domicile": {                                       // 注册地信息
                        "name": "杨庆菊1",                               // 注册地姓名
                        "isEnabled": 1,                                 // 是否启用 0否 1是
                        "created_at": "2019-10-02 10:08:04"
                    }
                },
            ]
        },
        "requestid": "f2bc255412d64cffb46d35b5c2f21ffe"
    }

```


## **<a name="info"> 经营范围查询</a>**
[返回到目录](#menu)
##### URL
[/web/common/businessscopeCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // 经营范围id
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "12218127593000590",                          // 经营范围id
            "domicile_id": "12706646858000580",                 // 注册地id
            "businessType": "经营范围3",                         // 经营范围
            "businessscope": "经营范围详情",                      // 经营范围详情
            "isEnabled": 0,                                     // 是否启用 0否 1是
            "created_at": "2019-10-03 06:51:01",                // 创建时间

            "domicile": {                                       // 注册地信息
                "name": "杨庆菊1",                               // 注册地姓名
                "isEnabled": 1,                                 // 是否启用 0否 1是
                "created_at": "2019-10-02 10:08:04"
            }
        },
        "requestid": "436b027db2154f668c5f436040a28b9a"
    }
```

## **<a name="save"> 经营范围添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/common/businessscopeCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id": "",                               // id
        "domicileId": "12706710830001318",      // 注册地id
        "businesssType": "经营范围1",            // 经营范围
        "businessscope": "经营范围详情1",         // 经营范围详情
        "isEnabled": 0
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="del"> 经营范围删除</a>**
[返回到目录](#menu)
##### URL
[//web/common/businessscopeCtl/del]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "ids": ["12218127593000590","12218127593000592"...]                   // 经营范围id数组
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="byDomicile"> 按注册地查询</a>**
[返回到目录](#menu)
##### URL
[//web/common/businessscopeCtl/byDomicile]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "domicileId": "12218127593000590"                  // 注册地id
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "12218127593000590",                          // 经营范围id
                "domicile_id": "12706646858000580",                 // 注册地id
                "businessType": "经营范围3",                         // 经营范围
                "businessscope": "经营范围详情",                      // 经营范围详情
                "isEnabled": 0,                                     // 是否启用 0否 1是
                "created_at": "2019-10-03 06:51:01",                // 创建时间

                "domicile": {                                       // 注册地信息
                    "name": "杨庆菊1",                               // 注册地姓名
                    "isEnabled": 1,                                 // 是否启用 0否 1是
                    "created_at": "2019-10-02 10:08:04"
                }
            },
        ],
        "requestid": "f2bc255412d64cffb46d35b5c2f21ffe"
    }

```