<a name="menu">目录</a>
1. [省](#provinceList)
1. [全部交付商](#all)
1. [交付商列表](#list)
1. [交付商查询](#info)
1. [交付商添加/修改](#save)
1. [交付商删除](#del)
1. [启用/禁用](#enabled)
1. [修改密码](#resetPassword)



## **<a name="provinceList"> 省</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/provinceList]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "1",                    // 省id
                "name": "北京",               // 交付商
            },
        ],
        "requestid": "5026518c1b354582932e5222bab4a785"
    }

```

## **<a name="all"> 全部交付商</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/all]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "13120681466000118",          // 交付商编码
                "name": "杨庆菊交付商",               // 交付商名号曾
                "businessmenDivide": 50,            // 个体户分成比例 
                "invoiceDivide": 22.21,             // 发票分成比例
                "remark": "备注"                     // 备注
            },
        ],
        "requestid": "5026518c1b354582932e5222bab4a785"
    }

```

## **<a name="list"> 交付商列表页</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": "1",
        "pageSize": "10"
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 12,
            "rows": [
                {
                    "id": "13120681635001335",                  // 交付商编码
                    "name": "杨庆菊交付商14",                     // 交付商名称
                    "businessmenDivide": 30.25,                 // 个体户分成比例
                    "invoiceDivide": 22.21,                     // 发票分成比例
                    "isEnabled": 0,                             // 是否可用 0否 1是
                    "real_name": "杨庆菊333",                    // 管理员姓名
                    "ucname": "kf_admin",                       // 帐号名
                    "admin_id": "1631497435000614",             // 管理员帐号id, 修改密码时使用
                    "remark": "备注"                             // 备注
                    "created_at": "2019-10-03 10:12:14"         // 创建时间
                    "user": {
                        "id": "1631497435000614",
                        "real_name": "杨庆菊333",
                        "ucname": "kf_admin",
                        "deliver_id": "13130003843000925",
                        "isAdmin": 1,
                        "saas_id": "",
                        "created_at": "2020-01-19T07:42:35.000Z",
                        "updated_at": "2020-01-19T07:42:35.000Z",
                        "deleted_at": null,
                        "version": 0
                    }
                },
            ]
        },
        "requestid": "1e18fd911db84525a964e9a17d8c83d1"
    }


```


## **<a name="info"> 交付商查询</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // 交付商id
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "13120681635001335",                  // 交付商编码
            "name": "杨庆菊交付商14",                     // 交付商名称
            "businessmenDivide": 30.25,                 // 个体户分成比例
            "invoiceDivide": 22.21,                     // 发票分成比例
            "isEnabled": 0,                             // 是否可用 0否 1是
            "real_name": "杨庆菊333",                    // 管理员姓名
            "ucname": "kf_admin",                       // 帐号名
            "admin_id": "1631497435000614",             // 管理员帐号id, 修改密码时使用
            "remark": "备注"                             // 备注
            "created_at": "2019-10-03 10:12:14"         // 创建时间
            "user": {
                "id": "1631497435000614",
                "real_name": "杨庆菊333",
                "ucname": "kf_admin",
                "deliver_id": "13130003843000925",
                "isAdmin": 1,
                "saas_id": "",
                "version": 0
            }
        },
        "requestid": "7d6c9dd96aed4e00917bdb934d62bfaf"
    }
```

## **<a name="save"> 交付商添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/common/deliverCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id": "",                             // id
        "name": "杨庆菊交付商14",                     // 交付商名称
		"real_name" : "杨庆菊333",             // 管理员
		"ucname" : "kf_admin",                // 账号
		"password" : "123123",                // 密码
        "isEnabled": 0
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="del"> 交付商删除</a>**
[返回到目录](#menu)
##### URL
[//web/common/deliverCtl/del]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "ids": ["12218127593000590","12218127593000592"...]                   // 交付商id数组
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="enabled"> 启用/禁用</a>**
[返回到目录](#menu)
##### URL
[//web/common/deliverCtl/enabled]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id" : "13130003843000925",       // 列表id
        "isEnabled" : "1"                 // 0禁用 1启用
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="resetPassword"> 修改密码</a>**
[返回到目录](#menu)
##### URL
[//web/common/deliverCtl/resetPassword]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "admin_id": "1631497435000614",       // 列表admin_id字段
        "password": "1"                       // 密码
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```
