<a name="menu">目录</a>
1. [注册地全部](#allList)
1. [注册地名称列表](#nameList)
1. [注册地列表](#list)
1. [注册地查询](#info)
1. [注册地添加/修改](#save)
1. [注册地删除](#del)

## **<a name="allList"> 注册地全部</a>**
[返回到目录](#menu)
##### URL
[/web/common/domicileCtl/all]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

#### 返回结果
```javascript

{
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "12706710844001762",              // id
                "name": "杨庆菊12",                      // 注册地名称
                "isEnabled": 1,                         // 是否启用 0否 1是
                "created_at": "2019-10-03 03:54",       // 创建时间
                "businessscopeList": [                  // 经营范围列表
                    {
                        "id": "12218127540000210",              // 经营范围id
                        "domicile_id": "12706646858000580",     // 注册地id
                        "businessType": "经营范围",              // 经营范围
                        "businessscope": "经营范围详情",          // 经营范围详情
                        "isEnabled": 0,                         // 是否启用 0否 1是
                        "created_at": "2019-10-03 06:50:08"     // 创建时间
                    },

                ]                
            }
        ],
        "requestid": "51161e8d79614cb58de8edaa61a85766"
    }

```

## **<a name="nameList"> 注册地名称列表</a>**
[返回到目录](#menu)
##### URL
[/web/common/domicileCtl/nameList]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "12706646858000580",          // 注册地id
                "name": "杨庆菊1"                    // 注册地名称
            },
            {
                "id": "12706647287000653",
                "name": "杨庆菊2"
            },
            ...
        ],
        "requestid": "02da57850743496181fcd4705c09749e"
    }

```

## **<a name="list"> 注册地列表</a>**
[返回到目录](#menu)
##### URL
[/web/common/domicileCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "currentPage": "1",
        "pageSize": "3",
        "id": ""                    // 注册地id
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                    "id": "12706710844001762",              // id
                    "name": "杨庆菊12",                      // 注册地名称
                    "isEnabled": 1,                         // 是否启用 0否 1是
                    "created_at": "2019-10-03 03:54",       // 创建时间
                    "businessscopeList": [                  // 经营范围列表
                        {
                            "id": "12218127540000210",              // 经营范围id
                            "domicile_id": "12706646858000580",     // 注册地id
                            "businessType": "经营范围",              // 经营范围
                            "businessscope": "经营范围详情",          // 经营范围详情
                            "isEnabled": 0,                         // 是否启用 0否 1是
                            "created_at": "2019-10-03 06:50:08"     // 创建时间
                        },

                    ]                
                }
            ]
        },
        "requestid": "51161e8d79614cb58de8edaa61a85766"
    }

```

## **<a name="info"> 注册地查询</a>**
[返回到目录](#menu)
##### URL
[/web/common/domicileCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id": ""                    // 注册地id
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "12706710844001762",              // id
            "name": "杨庆菊12",                      // 注册地名称
            "isEnabled": 1,                         // 是否启用 0否 1是
            "created_at": "2019-10-03 03:54",       // 创建时间
            "businessscopeList": []
        },
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="save"> 注册地添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/common/domicileCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id": "",                   // id 空的时候添加，有具体id时修改
        "name": "杨庆菊12",          // 注册地名称
        "isEnabled" : 1             // 是否启用 0否 1是
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "12706710844001762",              // id
            "name": "杨庆菊12",                      // 注册地名称
            "isEnabled": 1,                         // 是否启用 0否 1是
            "created_at": "2019-10-03 03:54",       // 创建时间
            "businessscopeList": []
        },
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```

## **<a name="del"> 注册地删除</a>**
[返回到目录](#menu)
##### URL
[/web/common/domicileCtl/del]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "ids": ["12218127593000590","12218127593000592"...]                   // 注册地id数组
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": "",
        "requestid": "3f4426683fb44c2d80e55b88faabafc9"
    }

```
