<a name="menu">目录</a>
1. [发票内容列表](#list)
1. [发票内容明细](#info)
1. [发票内容添加/修改](#save)
1. [发票内容删除](#del)

## **<a name="list"> 发票内容列表</a>**
[返回到目录](#menu)
##### URL
[/web/common/invoicecontentCtl/list]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": "1",//非必传
        "pageSize": "10",//非必传
        "id":"xxx",  //非必传
        "name":"xxx"//非必传
    }
```

#### 返回结果
```javascript

    {
        "count":2,
        "rows":[
            {
                "id":"11444116222000933",
                "name":"总统孙",
                "isEnabled":1,
                "created_at":"2019-10-10T10:05:06.000Z",
                "updated_at":"2019-10-10T10:05:06.000Z",
                "deleted_at":null
            },
            {
                "id":"11444116214000855",
                "name":"孙总统",
                "isEnabled":1,
                "created_at":"2019-10-10T10:04:58.000Z",
                "updated_at":"2019-10-10T10:04:58.000Z",
                "deleted_at":null
            }
        ],
        "requestid":"dc575fe96a314a0e91160b7f93966c1a"
    }

```


## **<a name="info"> 发票内容商明细</a>**
[返回到目录](#menu)
##### URL
[/web/common/invoicecontentCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // 交付商id
    }

```

#### 返回结果
```javascript
    {
        "status":0,
        "msg":"success",
        "data":{
            "id":"11444116222000933",
            "name":"总统孙",
            "isEnabled":true,
            "created_at":"2019-10-10T10:05:06.000Z",
            "updated_at":"2019-10-10T10:05:06.000Z",
            "deleted_at":null,
            "version":0
        },
        "requestid":"ff2e786cb8d6488ca1423c2c4a8677bc"
    }
```

## **<a name="save"> 发票内容添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/common/invoicecontentCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

```javascript
    {
        "id": "",                             // id
        "name": "xxx",                       // 发票内容名称
        "isEnabled": １,                     // 是否可用
    }
```

#### 返回结果
```javascript

    {
        "status":0,
        "msg":"success",
        "data":{
            "version":0,
            "name":"叫我总统孙",
            "isEnabled":true,
            "id":"11444191661001080",
            "updated_at":"2019-10-11T07:02:25.402Z",
            "created_at":"2019-10-11T07:02:25.402Z"
        },
        "requestid":"7c033606653546d4bdde0072a8aab90e"
    }

```

## **<a name="del"> 发票内容删除</a>**　　　　　
[返回到目录](#menu)　　　　　

**接口方式** HTTP    
**HTTP方法** POST    
**URI路径** '/web/common/invoicecontentCtl/del'     
**参数验证** 否     
**参数**    

| 参数名|数据类型|必须|默认| 说明 |
|---|:---:|:---:|:---:|---|
| ids | Array| 是 | 　| 删除发票内容id |

**返回结果**   

| 参数名|数据类型| 说明 |
|---|:---:|---|
| status | Number | 状态码 |
| msg | String | 提示信息 |
| data | JSON | 返回值 |
| requestid | String | 请求id |

**示例**

```
    {
        "status":0,
        "msg":"success",
        "data":1,
        "requestid":"29065294b509477f90691725f6faebb5"
    }

```