<a name="menu">目录</a>
1. [交易数据](#transdata)
1. [业务办理数据](#businessData)
1. [业务概览](#businessOverview)


## **<a name="transdata"> 本月交易数据</a>**
[返回到目录](#menu)
##### URL
[/web/index/managerCtl/transData]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        type: 1,    // 筛选状态 1本月 2上月 3总计
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "orderCount": 19,               // 业务订单量
            "orderPrice": 43600,            // 订单交易额
            "days": [                       // echart日期
                "2019-01",
                "2019-02",
                "2019-03",
            ],
            "dayCounts": [                  // echart交易量
                1,
                0,
                0,
            ],
            "priceCounts": [                // echart交易额
                3000,
                0,
                0,
            ]
        },
        "requestid": "536712febd5b440f8abe7e5df7480aba"
    }

```


## **<a name="businessData"> 业务办理数据</a>**
[返回到目录](#menu)
##### URL
[/web/index/managerCtl/businessData]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        type: 1,    // 筛选状态 1本月 2上月 3总计
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "completeCount": 0,         // 已完成订单量
            "toApplyCount": 10,         // 待分配订单量
            "toAuditCount": 1,          // 待审核订单量
            "handlingCount": 5          // 办理中订单量
        },
        "requestid": "776c869048b440d4bf16f9e2f7b42fb8"
    }

```




## **<a name="businessOverview"> 业务概览</a>**
[返回到目录](#menu)
##### URL
[/web/index/managerCtl/deliverData]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        currentPage: 1,
        pageSize: 10,
        type: 1,    // 筛选状态 1本月 2上月 3总计
    }

```

#### 返回结果
```javascript

    {
    "status": 0,
    "msg": "success",
    "data": {
        "count": 3,
        "rows": [
            {
                "deliverName": "某某交付商222",     // 交付商
                "servicePrice": "4492976",        // 服务费
                "completeCount": 0,               // 完成订单量
                "handlingCount": 17               // 办理中订单量
            },
        ]
    },
    "requestid": "6ef971357a2745e4b2996a97149c0055"
}

```