<a name="menu">目录</a>
1. [发票状态](#status)
1. [全部发票列表](#queryInvoices)
1. [查看详情](#queryInvoices)
1. [查看完税证明](#queryTxPayment)

## **<a name="saveInvoice"> 发票状态</a>**　　　　　
[返回到目录](#menu)　　　　
```
{
	  "0090": {
                "status": "0090",
                "name": "未付款",
                "next": "1000",
                "cstatus": "0090",//客户
                "dstatus": "",//交付商
            },
            "1000": {
                "status": "1000",
                "name": "待审核",
                "next": "1020",
                "cstatus": "0090",//客户
                "dstatus": "",//交付商
            },
            "1010": {
                "status": "1010",
                "name": "审核不通过",
                "next": "",
                "cstatus": "1010",
                "dstatus": "",
            },
            "1020": {
                "status": "1020",
                "name": "待分配",
                "next": "1030",
                "cstatus": "1030",
                "dstatus": "",
            },
            "1030": {
                "status": "1030",
                "name": "待处理",
                "next": "1050",
                "cstatus": "1030",
                "dstatus": "1030",
            },
            "1040": {
                "status": "1040",
                "name": "交付商关闭",
                "next": "1020",
                "cstatus": "1030",
                "dstatus": "1040",
            },
            "1050": {
                "status": "1050",
                "name": "已开具",
                "next": "1060",
                "cstatus": "1050",
                "dstatus": "1050",
            },
            "1060": {
                "status": "1060",
                "name": "待审核",
                "next": "1070",
                "cstatus": "1050",
                "dstatus": "1070",
            },
            "1070": {
                "status": "1070",
                "name": "审核通过",
                "next": "1080",
                "cstatus": "1050",
                "dstatus": "1070",
            },
            "1080": {
                "status": "1080",
                "name": "已邮寄",
                "next": "1090",
                "cstatus": "1050",
                "dstatus": "1080",
            },
            "1090": {
                "status": "1090",
                "name": "完成",
                "next": "1100",
                "cstatus": "1090",
                "dstatus": "1080",
            },
            "1100": {
                "status": "1090",
                "name": "发票撤回",
                "next": "1100",
                "cstatus": "1090",
                "dstatus": "1080",
            },
            "1200": {
                "status": "1200",
                "name": "红冲",
                "next": "",
                "cstatus": "1200",
                "dstatus": "",
            },
            "1300": {
                "status": "1300",
                "name": "审核失败(平台第二次审核)",
                "next": "1060",
                "cstatus": "1050",
                "dstatus": "1060",
            }
}

```


## **<a name="queryInvoices"> 全部发票列表 </a>**　　　　　
[返回到目录](#menu)　　　　　

**接口方式** HTTP    
**HTTP方法** POST    
**URI路径** /web/invoice/invoiceCtl/queryInvoices
**参数验证** 否     
**参数**    

| 参数名|数据类型|必须|默认| 说明 |
|---|:---:|:---:|:---:|---|

| pageIndex | number | 否 | 1　| 当前页数 |
| pageSize | number | 否 | 10　| 每页记录数 |
| complateTax | string | 否 | 　| 是否完税 |
| invoiceTime | string | 否 | 　| 开发票时间 |
| applyNo | string | 否 | 　| 发票申请编号 |
| inInvalid | string | 否 | 　| 是否完税 |
| type | string | 否 | 　| 发票类型 |

**示例** 

```
{
   "type":"10"
}

```

**返回结果**   

| 参数名|数据类型| 说明 |
|---|:---:|---|
| status | Number | 状态码 |
| msg | String | 提示信息 |
| data | JSON | 返回值 |

**示例**

```
{
    "status":0,
    "msg":"操作成功",
    "data":{
        "count":3,
        "rows":[
            {
                "invoiceTime":"2019-10-28 10:22:05",
                "complateTax":"未完成",
                "taxTime":"2019-10-28 10:22:05",
                "createdAt":"2019-10-28 10:22:05",
                "updatedAt":"2019-10-28 10:22:05",
                "id":"11665258555003154",
                "applyNo":"gongsibao001",
                "merchantId":"18asf854584",
                "status":"1030",
                "invoiceNo":"",
                "invoiceImg":null,
                "taxNo":"",
                "taxVoucher":null,
                "mailNo":"",
                "deletedAt":null,
                "version":0,
                "apply":{
                    "isInvalid":"红冲",
                    "createdAt":"2019-10-31 12:15:42",
                    "updatedAt":"2019-10-31 12:15:42",
                    "type":10,
                    "applyNo":"gongsibao001",
                    "merchantName":"腾讯信息科有限公司",
                    "businessName":"悦图遥感科技"
                }
            },
            {
                "invoiceTime":"2019-10-26 14:41:42",
                "complateTax":"已完成",
                "taxTime":"2019-10-10 08:00:00",
                "createdAt":"2019-10-25 19:56:30",
                "updatedAt":"2019-10-26 14:41:42",
                "id":"11665033820002912",
                "applyNo":"gongsibao001",
                "merchantId":"18asf854584",
                "status":"1080",
                "invoiceNo":"gongsibao4584585",
                "invoiceImg":"www.baidu.com",
                "taxNo":"DIE552SDKD",
                "taxVoucher":null,
                "mailNo":"JIDNUId625815",
                "deletedAt":null,
                "version":0,
                "apply":{
                    "isInvalid":"未红冲",
                    "createdAt":"2019-10-31 12:15:42",
                    "updatedAt":"2019-10-31 12:15:42",
                    "type":10,
                    "applyNo":"gongsibao001",
                    "merchantName":"腾讯信息科有限公司",
                    "businessName":"网易信息科技"
                }
            },
            {
                "invoiceTime":"2019-10-25 17:38:48",
                "complateTax":"未完成",
                "taxTime":"2019-10-25 17:36:36",
                "createdAt":"2019-10-25 17:36:36",
                "updatedAt":"2019-10-25 17:38:48",
                "id":"11665025426002758",
                "applyNo":"zjietiaodong999",
                "merchantId":"11064622752480998",
                "status":"1030",
                "invoiceNo":"",
                "invoiceImg":null,
                "taxNo":"",
                "taxVoucher":null,
                "mailNo":"",
                "deletedAt":null,
                "version":0,
                "apply":{
                    "isInvalid":"红冲",
                    "createdAt":"2019-10-31 12:15:42",
                    "updatedAt":"2019-10-31 12:15:42",
                    "type":10,
                    "applyNo":"zjietiaodong999",
                    "merchantName":"网易科技",
                    "businessName":"zijietiaodongmingcheng"
                }
            }
        ]
    },
    "bizmsg":"empty",
    "requestid":"8296ad60d1bc46b8a73f7405f2861aec"
}

```

## **<a name="queryInvoice"> 查看详情</a>**　　　　　
[返回到目录](#menu)　　　　　

**接口方式** HTTP    
**HTTP方法** POST    
**URI路径** '/web/invoice/invoiceCtl/queryInvoice
**参数验证** 否     
**参数**    

| 参数名|数据类型|必须|默认| 说明 |
|---|:---:|:---:|:---:|---|
| id | string | 否 | 　| 发票ID |
| applyNo | string | 否 | 　| 发票申请号   |
| merchantId | string | 否 | 　| 商户ID  |

**示例**
```
注意：applyNo结合merchantId 一起使用，当id存在是优先使用Id查询
{
	"merchantId":"11665033820002912",
	"applyNo": "1020",
	"id":"xxxx"
}
```

**返回结果**   

| 参数名|数据类型| 说明 |
|---|:---:|---|
| status | Number | 状态码 |
| msg | String | 提示信息 |
| data | JSON | 返回值 |

**示例**
```
{
    "status":0,
    "msg":"操作成功",
    "data":{
        "id":"11665033820002912",
        "merchantId":"18asf854584",
        "merchantName":"腾讯信息科有限公司",
        "merchantCreditCode":"5456461654165",
        "merchantAddr":"北京海淀区上地",
        "merchantMobile":"18833836392",
        "merchantBank":"招商银大望路支行",
        "merchantAccount":"tengxunkeji",
        "businessmenId":"12795594625000138",
        "businessmenCreditCode":"91210200MA0QE7GT5L",
        "businessName":"网易信息科技",
        "isBank":"已开户",
        "taxAuthorities":"北京朝阳税务局",
        "type":"普通发票",
        "invoiceAmount":200000,
        "statements":"wwww.baidu.com",
        "contract":"www.qq.com",
        "invoiceTime":"2019-09-19",
        "settleImg":"www.taobao.com",
        "applyNo":"gongsibao001",
        "invoiceContent":null,
        "personalIncomeTax":482926.51,
        "additionalTax":65323.9,
        "valueAddedTax":544365.81,
        "serviceCharge":45,
        "applyMobile":null,
        "isInvalid":"已红冲",
        "parentId":null,
        "status":"1090",
        "customerStatus":"1090",
        "payWay":"系统账户扣款",
        "payAccount":null,
        "isPay":"已支付",
        "mailAddr":"北京来广营",
        "mailMobile":"0-012535",
        "mailTo":"脚姐",
        "remark":"脚姐已批准",
        "delivererId":"11329678846003516",
        "createdAt":"2019-10-25",
        "updatedAt":"2019-10-26T05:36:15.000Z",
        "deletedAt":null,
        "version":0,
        "statusName":"完成",
        "customerStatusName":"",
        "deliverer":{
            "id":"11329678846003516",
            "invoiceId":"11665033820002912",
            "applyNo":"gongsibao001",
            "merchantId":"18asf854584",
            "delivererId":"1536854655",
            "delivererName":"国投迎新科技有限公司",
            "delivererAmount":10,
            "breakReason":null,
            "auditContent":"审核内容信息",
            "delivererContent":"交付商交付内容信息",
            "mailAddr":"北京大望路",
            "mailMobile":"1000",
            "mailTo":"脚姐",
            "delivererMailNo":"JIDNUId625815",
            "platformMailNo":"545sre55sg",
            "createdAt":"2019-10-25",
            "updatedAt":"2019-10-28",
            "deletedAt":null,
            "version":0
        },
        "invoice":{
            "id":"11665033820002912",
            "applyNo":"gongsibao001",
            "merchantId":"18asf854584",
            "status":"1080",
            "invoiceNo":"gongsibao4584585",
            "invoiceTime":"2019-10-12",
            "invoiceImg":"www.baidu.com",
            "taxNo":"DIE552SDKD",
            "complateTax":"已完税",
            "taxTime":"2019-10-10",
            "taxVoucher":null,
            "mailNo":"JIDNUId625815",
            "createdAt":"2019-10-25",
            "updatedAt":"2019-10-26",
            "deletedAt":null,
            "version":0,
            "statusName":"已邮寄"
        },
        "parentInvoice":null
    },
    "bizmsg":"empty",
    "requestid":"9120426859914d88ba56a58709683be4"
}
```




[返回到目录](#menu)　　　　　

**接口方式** HTTP    
**HTTP方法** POST    
**URI路径** '/web/invoice/invoiceCtl/platformAssignment'
**参数验证** 否     
**参数**    

| 参数名|数据类型|必须|默认| 说明 |
|---|:---:|:---:|:---:|---|
| id | string| 是 | 　| 发票申请ID |
| nextStatus | string | 是 | 1070　| 发票状态 |
| auditContent | string | 是 | 　| 审核内容 |
| delivererContent | string | 是 |  　| 交付内容  |
| mailAddr | string | 是 |  　| 邮寄地址  |
| mailMobile | string | 是 |  　| 邮寄电话 |
| mailTo | string | 是 |  　| 邮寄人 |

**示例** 

```

{
    "id":"11665430003004143",
    "nextStatus": "1070",
    "auditContent":"审核内容信息",
    "delivererContent":"交付商交付内容信息",
    "mailAddr":"北京大望路",
    "mailMobile":"010-65658565",
    "mailTo":"杨庆菊"
}

```

**返回结果**   

| 参数名|数据类型| 说明 |
|---|:---:|---|
| status | Number | 状态码 |
| msg | String | 提示信息 |
| data | JSON | 返回值 |

**示例**

```
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestid":"3ea95f1837b9475da4a4d9aacc3ff74b"
}
```


## **<a name="queryTxPayment"> 查看完税证明</a>**　　　　　
[返回到目录](#menu)　　　　　

**接口方式** HTTP    
**HTTP方法** POST    
**URI路径** '/api/op/action/springboard
**参数验证** 否     
**参数**    

| 参数名|数据类型|必须|默认| 说明 |
|---|:---:|:---:|:---:|---|
| id | string | 是 | 　| 发票ID |

**示例** 

```
{
    "id":"11665033820002912"
}

```

**返回结果**   

| 参数名|数据类型| 说明 |
|---|:---:|---|
| status | Number | 状态码 |
| msg | String | 提示信息 |
| data | JSON | 返回值 |

```
{
    "status":0,
    "msg":"操作成功",
    "data":{
        "invoiceTime":"2019-10-31 13:09:03",
        "complateTax":"已完成",
        "taxTime":"2019-10-10 08:00:00",
        "createdAt":"2019-10-31 13:09:03",
        "updatedAt":"2019-10-31 13:09:03",
        "id":"11665448190004592",
        "taxNo":"DIE552SDKD",
        "taxVoucher":"www.baidu.com"
    },
    "bizmsg":"empty",
    "requestid":"b00a9b2244504505bf1ef1bc36b6949e"
}

```