<a name="menu">目录</a>
1. [地址列表](#addressList)
1. [地址信息](#addressInfo)
1. [添加/修改地址](#save)
1. [设置默认](#setDefault)


## **<a name="addressList"> 地址列表</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantaddressCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "3",
        "merchantId": ""            // 商户id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 11,
            "rows": [
                {
                    "id": "12085609085001303",                  // 地址ID
                    "merchant_id": "11064625945481089",         // 商户id
                    "merchantName": "杨庆菊的公司11编辑"           // 商户名

                    "mailAddr": "杨庆菊客户的邮寄地址",             // 邮寄地址
                    "mailTo": "杨庆菊客户的收件人",                 // 收件人
                    "mailMobile": "杨庆菊客户的收件人的手机号",      // 收件电话

                    "isDefault": 1,                              // 是否默认 0否 1是
                    "created_at": "2019-10-01 09:33",            // 创建时间
                },
            ]
        },
        "requestid": "61964dc5e61d4326b9491ddfb77cd949"
    }

```

## **<a name="addressInfo"> 地址信息</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantaddressCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "12085609085001303",                  // 地址ID
            "merchant_id": "11064625945481089",         // 商户id
            "merchantName": "杨庆菊的公司11编辑"           // 商户名

            "mailAddr": "杨庆菊客户的邮寄地址",             // 邮寄地址
            "mailTo": "杨庆菊客户的收件人",                 // 收件人
            "mailMobile": "杨庆菊客户的收件人的手机号",      // 收件电话

            "isDefault": 1,                              // 是否默认 0否 1是
            "created_at": "2019-10-01 09:33",            // 创建时间
            "requestid": "61964dc5e61d4326b9491ddfb77cd949"
        }

```

## **<a name="save"> 添加/修改抬头</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantaddressCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "",                               // 地址id， 空的时候添加，有具体id时修改
        "merchantId" :"11064624178480175",      // 商户id
        "mailAddr": "杨庆菊的地址5",              // 邮寄地址
        "mailTo": "杨庆菊的收件人6",              // 收件人
        "mailMobile": "杨庆菊的手机号27",         // 收件人手机号
        "isDefault" : 0                         // 是否设置默认  0 否 1是
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
    }

```

## **<a name="setDefault"> 设置默认</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "13661984313001961"                   // id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success"
    }

```