<a name="menu">目录</a>
1. [商户nameList](#nameList)
1. [商户信息列表](#infoList)
1. [新增商户](#addMerchant)
1. [修改商户](#updMerchant)
1. [商户审核](#merchantAudit)


## **<a name="nameList"> 商户nameList</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantCtl/nameList]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 110361382269,         // 商户id
            "name": "司机宝"             // 商户名称
        },
        {
            "id": 110361384474,
            "name": "测试公司录入1"
        },
        {
            "id": 110361384475,
            "name": "测试公司录入3"
        },
        {
            "id": 110361384476,
            "name": "546444544"
        }
    ]
}
```


## **<a name="infoList"> 商户信息列表</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantCtl/infoPage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": 1,           // 当前页
        "pageSize": 10,             // 每页显示条数
        "name": "测试公司",           // 公司名称
        "merchantId": 11111,        // 商户id
        "createdBegin": "",         // 创建时间-开始
        "createdEnd": ""            // 创建时间-结束
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 10,
            "rows": [
                {
                    "id": "11064624202480602",              // 商户id
                    "name": "杨庆菊的公司7",                  // 商户名称
                    "taxType": "00",                        // 纳税人类型
                    "taxTypeName": "一般纳税人",              // 纳税人类型名称
                    "contactName": "杨庆菊",                 // 联系人姓名
                    "contactMobile": "杨庆菊手机号",          // 联系人手机号
                    "contactEmail": "杨庆菊email",           // 联系人邮箱
                    "invoiceValid": 1,                      // 开票申请校验 0否 1是
                    "mustPay": 1,                           // 校验订单支付 0否 1是
                    "ownerName": "客户经  杨庆菊",            // 客户经理姓名
                    "ownerMobile": "客户经理杨庆菊手机",       // 客户经理手机号
                    "statusName": "待审核",                  // 商户状态名称
                    "status": "00",                         // 商户状态 00待审核 10待签约 90签约完成
                    "created_at": "2019-10-01 09:04",       // 添加时间
                },
            ]
        },
        "requestid": "081f13fd9dd5441094487eeff6d0ff6f"
    }

```

## **<a name="addMerchant"> 新增商户</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantCtl/add]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "name": "测试公司录入3",                          // 商户名称
        "taxType": "10",                                // 纳税人类型 00一般纳税人 10小规模纳税人
        "contactName": "宋毅",                           // 联系人姓名
        "contactMobile": "13338383838",                 // 联系人手机
        "contactEmail": "songyi@gongisbao.com",         // 联系人邮箱
        "invoiceValid": 1,                              // 开票申请校验 0否 1是（必须数字格式 0 或者 1）
        "mustPay": 0,                                   // 校验订单支付 0否 1是（必须数字格式 0 或者 1）

        "taxNo": "sssssssss",                           // 纳税人识别号
        "invoiceAddr": "朝来高科技产业园33333",            // 开票地址
        "invoiceMobile": "13838383838",                 // 开票电话
        "accountName": "宋毅",                           // 开户名称
        "accountPublic": "xxxx对公账户22222",             // 对公账户
        

        "mailAddr": "来广营",                             // 邮寄地址
        "mailTo": "宋小毅",                               // 收件人
        "mailMobile": "13838383838",                     // 收件电话
        "ownerId": "",                                   // 客户经理姓名
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success"
}

```


## **<a name="updMerchant"> 修改商户</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantCtl/upd]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "name": "测试公司录入3",                          // 商户名称
        "taxType": "10",                                // 纳税人类型 00一般纳税人 10小规模纳税人
        "contactName": "宋毅",                           // 联系人姓名
        "contactMobile": "13338383838",                 // 联系人手机
        "contactEmail": "songyi@gongisbao.com",         // 联系人邮箱
        "invoiceValid": 1,                              // 开票申请校验 0否 1是（必须数字格式 0 或者 1）
        "mustPay": 0,                                   // 校验订单支付 0否 1是（必须数字格式 0 或者 1）
        "ownerId": "",                                  // 客户经理姓名
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success"
}

```


## **<a name="merchantAudit"> 商户审核</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantCtl/audit]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "xxxxxxxxx ",                 // 商户id
        "ucname": "18600002222"             // 商户登录帐号
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success"
    }

```
