<a name="menu">目录</a>
1. [充值列表](#rechargeList)
1. [充值信息](#rechargeInfo)
1. [充值审核](#rechargeAudit)

## **<a name="rechargeList"> 充值申请列表</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantrechargeCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "30",
        "merchantId": "11064622752480048"
    }

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 11,
            "rows": [
                {
                    "id": "1789195248000236",                       // id
                    "merchant_id": "11064622752480048",             // 商户id
                    "merchantName": "十一加班干这个事",                // 商户名称
                    "outTradeNo": "杨庆菊2",                         // 充值流水号
                    "voucher": "https://www.baidu.com/1.png",       // 充值凭证
                    "amt":1000,                                     // 充值金额
                    "status": "00",                                 // 充值状态 00待审核 10已入账 20审核失败
                    "statusName": "待审核",                          // 充值状态名称
                    "remark": "",                                   // 审核备注
                    "auditUserName": null,                          // 审核人姓名
                    "auditTime": "2019-10-05 05:26:25",             // 审核时间
                    "created_at": "2019-10-05 05:26:25",            // 创建时间
                    "created_at": "2019-10-01 09:33:05",            // 创建时间
                },
                ...
            ]
        },
        "requestid": "f3771571a73f48b280dc11ae1e5a3cf1"
    }
    

```



## **<a name="rechargeInfo"> 充值申请信息</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantrechargeCtl/add]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1789195248000236",                                  // 充值金额（分）
    }

```

#### 返回结果
```javascript
    
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "1789195248000236",                       // id
            "merchant_id": "11064622752480048",             // 商户id
            "merchantName": "十一加班干这个事",                // 商户名称
            "outTradeNo": "杨庆菊2",                         // 充值流水号
            "voucher": "https://www.baidu.com/1.png",       // 充值凭证
            "amt":1000,                                     // 充值金额
            "status": "00",                                 // 充值状态 00待审核 10已入账 20审核失败
            "statusName": "待审核",                          // 充值状态名称
            "remark": "",                                   // 审核备注
            "auditUserName": null,                          // 审核人姓名
            "created_at": "2019-10-05 05:26:25",            // 创建时间
            "created_at": "2019-10-01 09:33:05",            // 创建时间
        },
        "requestid": "f3771571a73f48b280dc11ae1e5a3cf1"
    }

```

## **<a name="rechargeAudit"> 充值审核</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantrechargeCtl/audit]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "sjb",
        "action_type": "merchantRechargeAudit",
        "action_body": {
            "id": "1789198739000692",           // 充值id
            "status": "20",                     // 状态 10审核通过 20审核驳回
            "remark":"测试接口",                 // 审核备注
            "opUser": {                         // 审核人信息
                "ucid": "111111",               // 审核人id
                "ucname": "杨庆菊财务"           // 审核人姓名
            }
        }
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {},
        "requestid": "c359d5fa943a44c99f9f68527c2effb9"
    }
```
