<a name="menu">目录</a>
1. [签约列表](#page)
1. [添加/修改](#save)
1. [查看签约](#info)


## **<a name="page"> 签约列表</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantsignedCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": 1,           // 页码
        "pageSize": 10,             // 每页条数
        "merchantId": 11111,        // 商户id
    }


```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 2,
            "rows": [
                {
                    "merchant_id": "11064625945481089",         // 商户ID
                    "merchantName": "杨庆菊的公司11编辑"           // 商户名称
                    "nameA": "杨庆菊的主体2222",                  // 签约主体
                    "contractNo": "杨庆菊录入合同2222号",          // 合同编号
                    "beginDate": "2019-10-01",                  // 合同开始时间
                    "endDate": "2019-10-07",                    // 合同截至时间
                    "serviceRate": 322                          // 服务费比率（整数防止精度损失）
                    "created_at": "2019-10-01 11:35",           // 创建时间
                },
            ]
        }
    }
```

## **<a name="save"> 添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantsignedCtl/save]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "merchantId": 110361382269,                 // 商户id
        "nameA": "xxxxx有限公司",                    // 签约主体
        "contractNo": "NO233332222",                // 合同编码
        "beginDate": "2019-08-22",                  // 合同开始时间
        "endDate": "2020-08-22",                    // 合同结束时间
        "serviceRate": "5.23",                      // 服务费率
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success"
    }

```


## **<a name="info"> 查看签约</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchantsignedCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "merchantId": "110361384474"           // 商户id
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "merchant_id": "11064625945481089",         // 商户ID
            "merchantName": "杨庆菊的公司11编辑"           // 商户名称
            "nameA": "杨庆菊的主体2222",                  // 签约主体
            "contractNo": "杨庆菊录入合同2222号",          // 合同编号
            "beginDate": "2019-10-01",                  // 合同开始时间
            "endDate": "2019-10-07",                    // 合同截至时间
            "serviceRate": 322                          // 服务费比率（整数防止精度损失）
            "created_at": "2019-10-01 11:35",           // 创建时间
        },
        "requestid": "b6df9966b91f4567887a606686952fb0"
    }
```



