<a name="menu">目录</a>
1. [抬头列表](#titleList)
1. [抬头列表](#titleInfo)
1. [添加/修改抬头](#saveTitle)
1. [设置默认](#setDefault)


## **<a name="titleList"> 抬头列表</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchanttitleCtl/merchantTitleList]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "merchantTitleList",
        "action_body": {
            "currentPage": "1",
            "pageSize": "3",
            "merchantId": ""            // 商户id
        }
    }
```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
        "count":27,
        "rows":[
            {
                "id":"13662688292002677",
                "merchant_id":"11065403484481165",
                "taxNo":"sssssssss",
                "invoiceAddr":"朝来高科技产业园33333",
                "invoiceMobile":"13838383838",
                "accountName":"宋毅",
                "accountPublic":"xxxx对公账户22222",
                "isDefault":1,
                "created_at":"2019-10-10 09:32:04",
                "merchantName":"测试公司录入3334"
            },
            {
                "id":"13661984313001961",
                "merchant_id":"11064624178480175",
                "taxNo":"12212134杨庆菊3",
                "invoiceAddr":"杨庆菊的地址",
                "invoiceMobile":"杨庆菊的手机号",
                "accountName":"杨庆菊的账户名",
                "accountPublic":"杨庆菊的对公账户",
                "isDefault":1,
                "created_at":"2019-10-02 05:59:05",
                "merchantName":"杨庆菊的公司2"
            }
        ]
    },
    "requestid":"2fd6b5ac87fa401bb19bf27cb27d3697"
}

```


## **<a name="titleInfo"> 抬头信息</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchanttitleCtl/merchantTitleInfo]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "id": "13661985486002511",                   // id
            "merchant_id": "11064624178480175",          // 商户id
            "merchantName": "杨庆菊的公司2",               // 商户名称
            "taxNo": "杨庆菊客户的号",                     // 纳税人识别号
            "invoiceAddr": "杨庆菊客户的地址",             // 开票地址
            "invoiceMobile": "杨庆菊客户开票手机号",        // 开票电话
            "accountName": "杨庆菊客户的账户名称",          // 开户名称
            "accountPublic": "杨庆菊客户的对公账户",        // 对公账户
            "isDefault": 0,                              // 是否默认 0否 1是
            "created_at": "2019-10-02 06:18",            // 创建时间
        },
        "requestid": "cf6320a1b615423b8a9ceb3b66b713f1"
    }

```

## **<a name="saveTitle"> 添加/修改抬头</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchanttitleCtl/merchantTitleSave]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "",                                    // 抬头id，为空或者不填写该字段时新增，指定具体id时修改
        "merchantId" :"11064624178480175",           // 商户id
        "taxNo": "杨庆菊客户的税号",                    // 纳税人识别号
        "invoiceAddr": "杨庆菊客户的地址",              // 开票地址
        "invoiceMobile": "杨庆菊客户开票手机号",         // 开票电话
        "accountName": "杨庆菊客户的账户名称",           // 开户名称
        "accountPublic": "杨庆菊客户的对公账户",         // 对公账户
        "isDefault" : true,                           // 是否设置默认
    }

```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {}
    }

```
## **<a name="setDefault"> 设置默认</a>**
[返回到目录](#menu)
##### URL
[/web/merchant/merchanttitleCtl/merchantTitleDefault]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "13661984313001961"                   // 抬头id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success"
    }

```