<a name="menu">目录</a>
1. [业务进度字典](#processList)
1. [订单管理列表](#platformorders)
1. [我的业务订单](#myorders)
1. [平台业务员查询](#salesmanList)
1. [平台分配业务员](#orderAssign)
1. [订单服务内容](#orderChooseProducts)
1. [查询订单详情](#orderInfo)
1. [完善订单](#perfectInformation)
1. [平台分配交付商](#assignDeliver)
1. [交付商审核](#platformDeliverAudit)
1. [交付商验收](#platformAuditDetermine)
1. [客户交付](#deliverCustomer)
1. [订单完成](#orderComplete)
1. [添加订单](#addSourceOrder)

## **<a name="processList"> 业务进度字典 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/processList]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {}

```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "status": "1000",       // 状态码
                "name": "待分配"         // 状态名称
            },
            {
                "status": "1010",
                "name": "待完善"
            },
        ],
        "requestid": "db9a3248c6b7483d93ccea6d66d0affc"
    }

```


## **<a name="platformorders"> 订单管理列表 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/platformOrders]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "3",
        "id": "",                       // 订单编号
        "status": "1010",               // 业务进度
        "createdBegin": "",             // 创建时间 开始
        "createdEnd": ""                // 创建时间 结束
    }

    按钮展示规则
        
        status == 1000   业务分配
        status == 1020   交付商分配
        status == 1020   交付商分配
        status == 1140   交付商审核
        status == 1170   交付商验收
        所有状态          查看详情


```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": {
            "count": 9,
            "rows": [
                {
                    "id": "1567430558002579",                     // 订单编号
                    "status": 1000,                               // 订单状态
                    "statusName": "待分配",                        // 订单状态名称
                    "assign_time": null,                          // 分配时间
                    "assign_user_name": "郭德纲46"                 // 分配人
                    "product_id": 10010000,                       // 产品id
                    "bd_name": "",                                // 业务员
                    "contact_mobile": "13777777777",              // 联系电话
                    "created_at": "2020-01-09T07:42:23.000Z",     // 创建时间
                    "desc": "",                                   // 订单描述
                    "osource": {                              
                        "id": 1000,                 
                        "name": "企服通",                          // 渠道名称
                    },
                    "oproduct": {                                 // 产品object
                        "name": "个体户注册一体化",                 // 产品名称
                        "desc": "工商注册，刻章，银行卡户，税务报到",  // 产品描述
                    },
                    "odeliver": {                                 // 交付商object
                        "deliver_name": ""                        // 交付商名称
                    },                               
                    "next_status": [                              // 下一个进度
                        {
                            "next_status": "1010",                // 状态码
                            "next_name": "待完善"                  // 状态名称
                        }
                    ],
                },
            ]
        },
        "bizmsg": "empty",
        "requestid": "3a71cc19808d4fd88bfac8c82fb4f24d"
    }


```


## **<a name="myorders"> 我的业务订单 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/myOrders]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",
        "pageSize": "3",
        "id": "",                       // 订单编号
        "status": "1010",               // 业务进度
        "deliver_id": "xx",             // 交付商id
        "createdBegin": "",             // 创建时间 开始
        "createdEnd": ""                // 创建时间 结束
    }

    按钮展示规则
        status == 1010   完善订单
        status == 1180   客户交付
        status == 1190   订单完成
        所有状态          查看详情


```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "操作成功",
        "data": {
            "count": 9,
            "rows": [
                {
                    "id": "1567430558002579",                     // 订单编号
                    "status": 1000,                               // 订单状态
                    "statusName": "待分配",                        // 订单状态名称
                    "assign_time": null,                          // 分配时间
                    "assign_user_name": "郭德纲46"                 // 分配人
                    "product_id": 10010000,                       // 产品id
                    "bd_name": "",                                // 业务员
                    "contact_mobile": "13777777777",              // 联系电话
                    "created_at": "2020-01-09T07:42:23.000Z",     // 创建时间
                    "desc": "",                                   // 订单描述
                    "osource": {                              
                        "id": 1000,                 
                        "name": "企服通",                          // 渠道名称
                    },
                    "oproduct": {                                 // 产品object
                        "name": "个体户注册一体化",                 // 产品名称
                        "desc": "工商注册，刻章，银行卡户，税务报到",  // 产品描述
                    },
                    "odeliver": {                                 // 交付商object
                        "deliver_name": ""                        // 交付商名称
                    },                               
                    "next_status": [                              // 下一个进度
                        {
                            "next_status": "1010",                // 状态码
                            "next_name": "待完善"                  // 状态名称
                        }
                    ],
                },
            ]
        },
        "bizmsg": "empty",
        "requestid": "3a71cc19808d4fd88bfac8c82fb4f24d"
    }


```


## **<a name="salesmanList"> 平台业务员查询 </a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/salesmanList]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 9,                // id
            "realName": "郭德纲"     // 姓名
        },
    ],
    "requestid": "6c308d46116945968592fbce5f3f4a95"
}


```

## **<a name="orderAssign"> 平台分配业务员 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/orderAssign]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "id": "1567429064001859",       // 订单id
        "bd_id": "17",                  // 选择业务员id
        "status": "1010"                // 订单的next_status
    }
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "6c308d46116945968592fbce5f3f4a95"
}

```


## **<a name="orderChooseProducts"> 订单服务内容 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/orderChooseProducts]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1567429064001859",       // 订单id
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 10010200,                 // id
            "name": "工商注册",              // 名称
        },
        
    ],
    "requestid": "357fd59e0c7d4ea0be0362bb8ef81c52"
}

```


## **<a name="orderInfo"> 查询订单详情 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/orderInfo]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1567514119003310",       // 订单id
    }

```

#### 返回结果
```javascript

    
    {
        "status": 0,
        "msg": "success",
        "data": {
            "order": {      // 订单表
                "id": "1567430558002579",                     // 订单id，订单号，订单编号，都是这个
                "status": 1000,                               // 订单状态
                "statusName": "待分配",                        // 订单状态名称
                "status_name": "待分配"                        // 订单状态名称
                "assign_time": null,                          // 分配时间
                "assign_user_name": "郭德纲46"                 // 分配人
                "product_id": 10010000,                       // 产品id
                "bd_name": "",                                // 业务员
                "contact_mobile": "13777777777",              // 联系电话
                "created_at": "2020-01-09T07:42:23.000Z",     // 创建时间
                "desc": "",                                   // 订单描述
                "osource": {                              
                    "id": 1000,                 
                    "name": "企服通",                          // 来源渠道名称
                },
                "oproduct": {                                 // 产品object
                    "name": "个体户注册一体化",                 // 产品名称
                    "desc": "工商注册，刻章，银行卡户，税务报到",  // 产品描述
                },
                "next_status": [                              // 下一个进度
                    {
                        "next_status": "1010",                // 状态码
                        "next_name": "待完善"                  // 状态名称
                    }
                ],
            },
            "regInfo": {
                "id": "",                   // 订单号
                "legal_name": "",                   // 法人姓名
                "id_card": "",                  // 法人身份证
                "legal_mobile": "",                     // 法人电话
                "names": "",                    // 个体户名称
                "capital": "",                  // 注册资本
                "domicile_id": "",                  // 注册地id
                "domicile_name": "",                    // 注册地名称
                "business_scope_id": "",                    // 经营范围id
                "business_type": "",                    // 经营范围
                "business_scope": "",                   // 经营范围详情
                "idcard_front": "",                     // 身份证正面照片
                "idcard_back": "",                  // 身份证反面照片
                "other_file": "",                   // 其他文件
                "notes": "",                    // 备注
                "guest_mail_addr": "",                  // 邮寄客户地址
                "guest_mail_to": "",                    // 客户收件人
                "guest_mail_mobile": "",                    // 客户收件人电话
                "guest_mail_no": "",                    // 客户快递单号
                "guest_mail_img": "",                   // 交付商交付快递单号
                "guest_accpet_file": "",                    // 客户验收文件
            },
            "businessmen": {
                "id":"",                     // 主键,
                "order_id":"",                   // 订单id,
                "legal_name":"",                     // 法人姓名,
                "legal_mobile":"",                   // 法人电话,
                "legal_idcard":"",                   // 法人身份证号,
                "name":"",                   // 个体工商户名称,
                "credit_code":"",                    // 统一社会信用代码,
                "business_place":"",                     // 经营场所,
                "business_scope":"",                     // 经营范围,
                "reg_date":"",                   // 注册日期,
                "business_img":"",                   // 执照照片,
                "business_gov_file":"",                  // 工商官方文件,
                "gongzhang":"",                  // 公章,
                "caiwuzhang":"",                     // 财务章,
                "fapiaozhang":"",                    // 发票章,
                "hetongzhang":"",                    // 合同章,
                "farenzhang":"",                     // 法人章,
                "zhang_gov_file":"",                     // 刻章官方文件,
                "is_bank":"",                    // 是否开户,
                "bank_name":"",                  // 账户名称,
                "bank_no":"",                    // 账户号,
                "bank":"",                   // 开户行,
                "bank_img":"",                   // 账户信息,
                "bank_gov_file":"",                  // 银行开户官方文件,
                "ca_img":"",                     // CA照片,
                "tax_reg_day":"",                    // 税务登记日,
                "tax_org":"",                    // 税务机构名称,
                "tax_gov_file":"",                   // 税务报道官方文件,
                "notes":"",                  // 备注,
                "common_tax_ladder":"",                  // 普票个税阶梯,
                "common_other_ladder":"",                    // 普票增值税、附加税阶梯,
                "special_tax_ladder":"",                     // 专票个税阶梯,
                "special_other_ladder":"",                   // 专票增值税、附加税阶梯,
                "service_begin_time":"",                     // 服务开始时间,
                "service_end_time":"",                   // 服务结束时间,
                "cost_rate":"",                  // 核定成本费用率,
                "tax_rate":"",                   // 含税价百分比,
                "add_value_up_type":"",                  // 增值税累计类型 1按月 2按季度,
                "tax_up_type":"",                    // 个税累计类型 1按月累计 2按年累计,
                "service_rate":"",                   // 服务费比例,
                "sign_notes":"",                     // 签约备注,
                "sign_time":"",                  // 签约时间,
                "is_create_account":"",                  // 是否建账,
            },
            "orderDeliver": {
               "id" : "",                        //   主键
               "order_id" : "",                  //   订单号
               "deliver_id" : "",                //   交付商id
               "deliver_name" : "",              //   交付商名称
               "deliver_divide" : "",            //   订单分成
               "audit_result" : "",              //   审核结果
               "audit_remark" : "",              //   交付审核备注
               "deliver_mail_addr" : "",         //   交付地址
               "deliver_mail_to" : "",           //   收件人
               "deliver_mail_mobile" : "",       //   联系电话
               "deliver_content" : "",           //   交付内容
               "deliver_mail_no" : "",           //   交付商交付快递单号
               "deliver_mail_img" : "",          //   交付商交付快递单号
               "operator_id" : "",               //   交付商业务员id
            }
        },
        "requestid": "447b691139bb47c7809f9cd93d6642b7"
    }

```



## **<a name="perfectInformation"> 完善订单 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/perfectInformation]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1567514231004112",               // 订单id
        "status": "1020",                       // 订单下个状态
        "legal_name": "zhaobenshan",            // 法人姓名
        "id_card": "856965696696548",           // 法人身份呢正
        "legal_mobile": "18833836395",          // 法人联系电话
        "names": "zhanbenshanname",             // 姓名
        "capital": "xiaoshenyang",              // 注册资金
        "domicile_id": "xiaoshenyang",          // 注册地id
        "domicile_name": "xiaoshenyang",        // 注册地名称
        "business_scope_id": "4591",            // 经营范围id
        "business_type": "xiaoshenyang",        // 经营范围名称
        "business_scope": "xiaoshenyang",       // 经营范围详情
        "idcard_front": "xiaoshenyang",         // 身份证正面图
        "idcard_back": "xiaoshenyang",          // 身份证反面图
        "other_file": "xiaoshenyang",           // 其他文件
        "guest_mail_addr": "xiaoshenyang",      // 邮寄客户地址
        "guest_mail_to": "wangxiaoli",          // 收贱人
        "guest_mail_mobile": "1883383698",      // 收件人电话
        "service_items": "xxxxxxx",             // 订单服务项id
        "service_remark": "no note"             // 订单服务详情
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 10010200,                 // id
            "name": "工商注册",              // 名称
        },
    ],
    "requestid": "357fd59e0c7d4ea0be0362bb8ef81c52"
}

```

## **<a name="perfectInformation"> 平台分配交付商 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/assignDeliver]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id":"1567514204003444",             //订单ID
        "deliver_id":"444444444444444",      //交付商ID
        "deliver_divide":"444444",           //交付商分成
        "status":"1030",                     //订单状态
        "deliver_name":"郭德纲交付商"          //交付商名称
    }	

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "efb46fd211be4ca6845acc53684fb61d"
}

```

## **<a name="platformDeliverAudit"> 交付商审核 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/platformDeliverAudit]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
//成功
{
    "id":"1567514119003310",                //订单ID
    "status":"1160",                        //订单状态
    "audit_remark":"赵本山很有趣，同意审批",    //审核备注
    "deliver_content":"交付内容",             //审核内容
    "deliver_mail_addr":"象牙山刘老根街道258号",//邮寄地址
    "deliver_mail_to":"赵本山",               //邮寄人
    "deliver_mail_mobile":"1888888888"       //邮寄电话
}	
//失败	
{
    "id":"1567514119003310",
    "status":"1150",
    "audit_remark":"赵本山很有趣，不同意审批"   //审核备注
}	
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "efb46fd211be4ca6845acc53684fb61d"
}

```


## **<a name="platformAuditDetermine"> 平台验收 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/platformAuditDetermine]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript	
{
    "id":"1567514119003310",
    "status":"1180"
}	
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "efb46fd211be4ca6845acc53684fb61d"
}

```

## **<a name="deliverCustomer"> 客户交付 </a>**

[返回到目录](#menu)
##### URL
[/web/order/orderCtl/deliverCustomer]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript	
{
    "id":"1567514119003310",               //订单ID
    "status":"1190",                       //订单状态
    "guest_mail_no":"1567514119003310",    //客户快递单号
    "guest_mail_img":"学校学习学校"          //交付商交付快递单号图片
}	
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "efb46fd211be4ca6845acc53684fb61d"
}

```


## **<a name="orderComplete"> 订单完成 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/orderComplete]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript	
{
    "id":"1567514119003310",               //订单ID
    "status":"1200",                       //订单状态
    "guest_accpet_file":"1567514119003310" //客户验收文件
}	
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "efb46fd211be4ca6845acc53684fb61d"
}

```


## **<a name="addSourceOrder"> 添加订单 </a>**
[返回到目录](#menu)
##### URL
[/web/order/orderCtl/addSourceOrder]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript	
{
    "product_id":"10010000",                      //产品ID 必填  工商注册一体化请传"10010000"
    "source_id":"1001",                           //来源ID     非必填   单页面录入 "1001"
    "source_no":"1567514119003310"                //来源订单号  非必填   
    "contact_mobile":"133836395",                 //联系电话  必填
    "customer_name":"1200",                       //客户名称  必填
    "desc":"1567514119003310"                     //产品信息  非必填 默认 "工商注册，刻章，银行卡户，税务报到"
}	
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "efb46fd211be4ca6845acc53684fb61d"
}

```
