[返回主目录](/doc)

<a name="menu">目录</a>
1. [添加](#add)
1. [更新](#upd)
1. [删除](#del)
1. [菜单树](#tree)
1. [菜单树-子菜单模式](#byPid)
1. [明细](#queryById)

## **<a name="add"> 添加</a>**
[返回到目录](#menu)
##### URL
[/web/uc/authCtl/addAuth]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

  {
    "pid": 2,               // 父节点id
    "menuType": 1,          // 菜单类型 1菜单, 2接口
    "name": "个体户系统",     // 菜单名称
    "icon": "123",          // 菜单icon 选填
    "path": "/aaa/bbb"      // 菜单路由 选填
  }

```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "2dc587798f974902b06123ce34c39090"
  }

```


## **<a name="upd"> 更新</a>**
[返回到目录](#menu)
##### URL
[/web/uc/authCtl/updAuth]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 8,                // 菜单id
      "pid": 2,               // 父节点id
      "menuType": 1,          // 菜单类型 1菜单, 2接口
      "name": "个体户系统",     // 菜单名称
      "icon": "123",          // 菜单icon 选填
      "path": "/aaa/bbb"      // 菜单路由 选填

    }

```

## **<a name="del"> 删除</a>**
[返回到目录](#menu)
##### URL
[/web/uc/authCtl/delAuth]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```


## **<a name="tree"> 菜单树</a>**
[返回到目录](#menu)
##### URL
[/web/uc/authCtl/tree]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        {
            "id": 1,                  // 菜单id
            "pid": 0,                 // 父节点id
            "menuType": 1,            // 菜单类型 1菜单, 2接口
            "name": "个体户系统",       // 菜单名称
            "icon": "123",            // 菜单icon
            "path": "aaaaaaaaa",      // 菜单路由
            "childs": [...]           // 子菜单
        }
    },
    "requestid": "007fd384e47641d2a71e9f3ef6292843"
}

```


## **<a name="byPid"> 菜单树-子菜单模式</a>**
[返回到目录](#menu)
##### URL
[/web/uc/authCtl/byPid]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "pid": 1,  //  必传   
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 1,                  // 菜单id
            "pid": 0,                 // 父节点id
            "menuType": 1,            // 菜单类型 1菜单, 2接口
            "name": "个体户系统",       // 菜单名称
            "icon": "123",            // 菜单icon
            "path": "aaaaaaaaa",      // 菜单路由
        }
    ],
    "requestid": "b340e352d57548d880540bcd05fbfee3"
}

```

## **<a name="queryById"> 明细</a>**
[返回到目录](#menu)
##### URL
[/web/uc/authCtl/queryById]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "success",
    "data": {
      "id": 1,                  // 菜单id
      "pid": 0,                 // 父节点id
      "menuType": 1,            // 菜单类型 1菜单, 2接口
      "name": "个体户系统",       // 菜单名称
      "icon": "123",            // 菜单icon
      "path": "aaaaaaaaa",      // 菜单路由
    },
    "requestid": "6b34ba91355f407ab0592d3d8e39544c"
}

```