[返回主目录](/doc)

<a name="menu">目录</a>
1. [添加](#addRole)
1. [更新](#updRole)
1. [删除](#delRole)
1. [列表(条件)](#listRole)
1. [明细](#queryById)
1. [设置权限](#setAuth)

## **<a name="addRole"> 添加</a>**
[返回到目录](#menu)
##### URL
[/web/uc/roleCtl/addRole]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
{
	"code":"公司宝001",  //角色 编码  必传
	"name":"划水员",     //角色 名称  必传
	"saas_id":2         //SAAS ID   必传
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "version": 0,
        "id": 2,
        "code": "公司宝001",    //角色 编码
        "name": "划水员",       //角色 名称
        "saas_id": 2,          //SAAS ID
        "updated_at": "2019-11-29T05:51:00.027Z",
        "created_at": "2019-11-29T05:51:00.027Z"
    },
    "bizmsg": "empty",
    "requestid": "2af86a02c86d40cb87784feb1f445f96"
}

```


## **<a name="updRole"> 更新</a>**
[返回到目录](#menu)
##### URL
[/web/uc/roleCtl/updRole]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
{
  "id":"xxx",            //id        必传
  "code": "公司宝001",    //角色 编码  非必传
  "name": "划水员",       //角色 名称  非必传
  "saas_id": 2,          //SAAS ID   非必传
}

```

## **<a name="delRole"> 删除</a>**
[返回到目录](#menu)
##### URL
[/web/uc/roleCtl/delRole]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```


## **<a name="listRole"> 列表</a>**
[返回到目录](#menu)
##### URL
[/web/uc/roleCtl/listRole]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "count": 2,
        "rows": [
            {
                "id":"xxx",            //id     
                "code": "公司宝001",    //角色 编码  
                "name": "划水员",       //角色 名称  
                "saas_id": 2,          //SAAS ID   
                "created_at": "2019-11-29T05:51:00.000Z",
                "updated_at": "2019-11-29T05:51:00.000Z",
                "deleted_at": null,
                "version": 0
            },
            {
                "id": 3,
                "code": "公司宝002",
                "name": "划水员",
                "saas_id": 2,
                "created_at": "2019-11-29T05:54:10.000Z",
                "updated_at": "2019-11-29T05:54:10.000Z",
                "deleted_at": null,
                "version": 0
            }
        ]
    },
    "bizmsg": "empty",
    "requestid": "9a285a07ac384cc0a25b36c179c49167"
}

```

## **<a name="queryById"> 明细</a>**
[返回到目录](#menu)
##### URL
[/web/uc/roleCtl/queryById]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "id":"xxx",            //id     
        "code": "公司宝001",    //角色 编码  
        "name": "划水员",       //角色 名称  
        "saas_id": 2,          //SAAS ID   
        "created_at": "2019-11-29T05:51:00.000Z",
        "updated_at": "2019-11-29T05:51:00.000Z",
        "deleted_at": null,
        "version": 0
    },
    "bizmsg": "empty",
    "requestid": "b642284a921f4655bdec81f50cb45f1d"
}

```


1. [](#)

## **<a name="setAuth"> 设置权限</a>**
[返回到目录](#menu)
##### URL
[/web/uc/roleCtl/setAuth]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
      "authIds": [1,2,3,4,5,6,7,8]   // 选择的权限id

    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "操作成功",
    "data": {},
    "bizmsg": "empty",
    "requestid": "b642284a921f4655bdec81f50cb45f1d"
}

```