[返回主目录](/doc)

<a name="menu">目录</a>
1. [添加](#addSaas)
1. [更新](#updSaas)
1. [删除](#delSaas)
1. [列表(条件)](#listSaas)
1. [明细](#queryById)

## **<a name="addSaas"> 添加</a>**
[返回到目录](#menu)
##### URL
[/web/uc/saasCtl/addSaas]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

  {
	"name":"泰达米尔",     //saas名称
	"domain":"www.taidamier.com",//saas 域名
	"managerMobile":"13404865182",//管理者电话
	"managerId":1,                //管理ID
	"stype":2                     //saas系统类型 1平台 2商户 3交付商 4个人
}

```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "操作成功",
    "data": {
        "version": 0,
        "id": 3,
        "name": "德玛西亚之翼",   //saas名称
        "domain": "www.demaxiyazhili.com",//saas 域名
        "managerMobile": "8555555",//管理者电话
        "managerId": 1,//管理ID
        "stype": 4,    //saas系统类型 1平台 2商户 3交付商 4个人
        "updated_at": "2019-11-29T02:42:14.859Z",
        "created_at": "2019-11-29T02:42:14.859Z"
    },
    "bizmsg": "empty",
    "requestid": "0c3b6b3664364ff89436c75957a62590"
}

```


## **<a name="updSaas"> 更新</a>**
[返回到目录](#menu)
##### URL
[/web/uc/saasCtl/updSaas]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": 1,  //记录ID  必传   
        "name":"泰达米尔",     //saas名称  非必传  
        "domain":"www.taidamier.com",//saas 域名  非必传
        "managerMobile":"13404865182",//管理者电话 非必传
        "managerId":1,                //管理ID    非必传
        "stype":2                     //saas系统类型 1平台 2商户 3交付商 4个人   非必传
    }

```

## **<a name="delSaas"> 删除</a>**
[返回到目录](#menu)
##### URL
[/web/uc/saasCtl/delSaas]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```


## **<a name="listSaas"> 列表</a>**
[返回到目录](#menu)
##### URL
[/web/uc/saasCtl/listSaas]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript
{
  "status": 0,
  "msg": "操作成功",
  "data": {
      "count": 3,
      "rows": [
          {
              "id": 1,
              "name": "勒夫兰",
              "domain": "www.baidu.com",
              "managerId": 1,
              "managerMobile": "18833836395",
              "stype": 1,
              "created_at": "2019-11-28T03:50:55.000Z",
              "updated_at": "2019-11-28T03:50:55.000Z",
              "deleted_at": null,
              "version": 1
          },
          {
              "id": 2,
              "name": "泰达米尔",
              "domain": "www.taidamier.com",
              "managerId": 1,
              "managerMobile": "13404865182",
              "stype": 3,
              "created_at": "2019-11-29T02:15:25.000Z",
              "updated_at": "2019-11-29T02:24:00.000Z",
              "deleted_at": null,
              "version": 1
          },
          {
              "id": 3,
              "name": "德玛西亚之翼",
              "domain": "www.demaxiyazhili.com",
              "managerId": 1,
              "managerMobile": "8555555",
              "stype": 4,
              "created_at": "2019-11-29T02:42:14.000Z",
              "updated_at": "2019-11-29T02:42:14.000Z",
              "deleted_at": null,
              "version": 0
          }
      ]
  },
  "bizmsg": "empty",
  "requestid": "59a01e0e2eb34603b189f705d94d36cd"
}

```

## **<a name="queryById"> 明细</a>**
[返回到目录](#menu)
##### URL
[/web/uc/saasCtl/queryById]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript
{
  "status": 0,
  "msg": "操作成功",
  "data": {
    "version": 0,
    "id": 3,
    "name": "德玛西亚之翼",   //saas名称
    "domain": "www.demaxiyazhili.com",//saas 域名
    "managerMobile": "8555555",//管理者电话
    "managerId": 1,//管理ID
    "stype": 4,    //saas系统类型 1平台 2商户 3交付商 4个人
    "updated_at": "2019-11-29T02:42:14.859Z",
    "created_at": "2019-11-29T02:42:14.859Z"
  },
  "bizmsg": "empty",
  "requestid": "2f33c6f6b55f4755a89bf25b8e831a61"
}

```