[返回主目录](/doc)

<a name="menu">目录</a>
1. [添加/修改](#saveUser)
1. [启用禁用](#enabled)
1. [删除](#del)
1. [明细](#queryById)
1. [列表页](#page)
1. [重置密码](#resetPassword)

1. [添加/修改](#saveUser)

## **<a name="add"> 添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/saveUser]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

  {
	"id": "33",                     // 编号，为空时添加，不为空时修改
    "org_id": 3,                    // 组织机构id
    "ucname": "guodegang10",        // 用户名/登录名
    "mobile": "13811112222",        // 手机号
    "realName": "郭德纲10",          // 姓名
    "password": "123",              // 密码
    "roles": [1,2]                  // 角色列表
  }
```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "success",
    "data": {},
    "requestid": "2dc587798f974902b06123ce34c39090"
  }

```



## **<a name="enabled"> 启用禁用</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/enabled]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
      "enabled": 0,   // 0禁用 1启用
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {},
    "requestid": "007fd384e47641d2a71e9f3ef6292843"
}

```


## **<a name="del"> 删除</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/delAuth]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {},
    "requestid": "007fd384e47641d2a71e9f3ef6292843"
}

```

## **<a name="queryById"> 明细</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/queryById]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "id": 1,  //记录ID  必传   
    }

```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "success",
    "data": {
        "id": 17,                             // id
        "ucname": "guodegang10",              // 登录名
        "uctype": 2,                          // 用户类型 1平台 2商户 3交付商 4个人
        "uctypeId": "",                       // 用户类型id

        "org_id": 3,                          // 组织机构id
        "isMain": 0,                          // 是否主管
        "isEnabled": 1,                       // 启用/禁用   0禁用 1启用
        "created_at": "2019-11-29 10:43:32",  // 创建时间
        "mobile": "1381231332312",            // 手机号
        "realName": "郭德纲11",                // 姓名
        "roles": [                            // 拥有角色
            {
                "role_id": "1"                // 角色id
            },
            {
                "role_id": "5"
            },
            {
                "role_id": "6"
            }
        ]
    },
    "requestid": "dd2731bca15c446595170e1ccf0b2b00"
}

```



## **<a name="page"> 列表页</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
      "xxx": "",  // 查询字段回头再说
      "currentPage":1,   //当前页
      "pageSize":10,     //每页条数
      "saas_id":xxx,     //saas ID    非必传
      "ucname":"xxx",    //用户名    非必传
      "mobile":"",//电话    非必传
      "realName":"",//姓名    非必传
      "uctype":1,   //类型 1平台 2 商户 3 交付商 4 个人    非必传
      "createBegin":xxx,    //开始时间    非必传
      "createEnd":xx,       //结束时间    非必传
      "isEnabled":1,        //是否可用 0不可用 1 可用   非必传
      "orgpath":"/root/xxx",//路径    非必传
    }

```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
              "id": 17,                             // 编号
              "ucname": "guodegang10",              // 登录名
              "uctype": 2,                          // 用户类型 1平台 2商户 3交付商 4个人
              "uctypeId": "",                       // 用户类型id
              "org_id": 3,                          // 组织机构id
              "isMain": 0,                          // 是否主管
              "isEnabled": 1,                       // 启用/禁用   0禁用 1启用
              "created_at": "2019-11-29 10:43:32",  // 创建时间
              "mobile": "1381231332312",            // 手机号
              "realName": "郭德纲11",                // 姓名
              "roleIds": "2",                       // 角色id
              "roleNames": "业务员",                 // 角色名称
              "orgname": "",                        // 组织机构
               
            },
        ]
    },
    "requestid": "defbe7aa7b1045c4b644e1c9eb58fd88"
}


```


## **<a name="resetPassword"> 重置密码</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/resetPassword]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

  {
    "id": "18",             // 用户id
    "password": "123123"    // 新密码
  }
```

#### 返回结果
```javascript

  {
    "status": 0,
    "msg": "success",
    "data": {},
    "requestid": "defbe7aa7b1045c4b644e1c9eb58fd88"
}

```